'use client';
import IconTrashLines from '@/components/icon/icon-trash-lines';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import Tippy from '@tippyjs/react';
import 'tippy.js/dist/tippy.css';
import React from 'react';

export default function() {
    const tableData = [
        {
            id: 1,
            name: 'جان اسنو',
            email: 'johndoe@yahoo.com',
            date: '10/08/2020',
            sale: 120,
            status: 'تکمیل شده',
            register: '5 min ago',
            progress: '40%',
            position: 'Developer',
            office: 'London',
        },
        {
            id: 2,
            name: 'شاون پارک',
            email: 'shaunpark@gmail.com',
            date: '11/08/2020',
            sale: 400,
            status: 'در انتظار',
            register: '11 min ago',
            progress: '23%',
            position: 'Designer',
            office: 'New York',
        },
        {
            id: 3,
            name: 'آلما کلارک',
            email: 'alma@gmail.com',
            date: '12/02/2020',
            sale: 310,
            status: 'در حال پردازش',
            register: '1 hour ago',
            progress: '80%',
            position: 'Accountant',
            office: 'Amazon',
        },
        {
            id: 4,
            name: 'جان اسنو',
            email: 'vincent@gmail.com',
            date: '13/08/2020',
            sale: 100,
            status: 'لغو',
            register: '1 day ago',
            progress: '60%',
            position: 'Data Scientist',
            office: 'Canada',
        },
    ];
    return (
        <PanelCodeHighlight
            title="جدول پایه"
        >
            <div className="table-responsive mb-5">
                <table>
                    <thead>
                    <tr>
                        <th>نام و نام خانوادگی</th>
                        <th>تاریخ</th>
                        <th>فروش</th>
                        <th>وضعیت</th>
                        <th className="text-center">تنظیمات</th>
                    </tr>
                    </thead>
                    <tbody>
                    {tableData.map((data) => {
                        return (
                            <tr key={data.id}>
                                <td>
                                    <div className="whitespace-nowrap">{data.name}</div>
                                </td>
                                <td>{data.date}</td>
                                <td>{data.sale}</td>
                                <td>
                                    <div
                                        className={`whitespace-nowrap ${
                                            data.status === 'تکمیل شده'
                                                ? 'text-success'
                                                : data.status === 'در انتظار'
                                                    ? 'text-secondary'
                                                    : data.status === 'در حال پردازش'
                                                        ? 'text-info'
                                                        : data.status === 'لغو'
                                                            ? 'text-danger'
                                                            : 'text-success'
                                        }`}
                                    >
                                        {data.status}
                                    </div>
                                </td>
                                <td className="text-center">
                                    <Tippy content="Delete">
                                        <button type="button">
                                            <IconTrashLines className="m-auto" />
                                        </button>
                                    </Tippy>
                                </td>
                            </tr>
                        );
                    })}
                    </tbody>
                </table>
            </div>
        </PanelCodeHighlight>
    );
}
